POST /outgoing_webhooks
Authorization Requiredhttps://[your-subdomain].trackdrive.com/api/v1/outgoing_webhooks
Create a webhook
Create an outgoing webhook that fires when a trigger occurs, such as a buyer being dialed or a call ending. The webhook must be attached to exactly one owner: a company, offer, schedule action, buyer, call flow, traffic source, or SMS flow.
Params
| Param name | Description |
|---|---|
|
global_company_id Optional |
Assign the webhook to your company to have it fire on all calls.
|
|
offer_id Optional |
Assign the record to this Offer.
|
|
buyer_id Optional |
Filter for webhooks that are assigned to this Buyer.
|
|
buyer_group_id Optional Blank value allowed |
Filter for webhooks that are assigned to this Buyer Group.
|
|
traffic_source_id Optional Blank value allowed |
Filter for webhooks that are assigned to this Traffic Source.
|
|
call_router_id Optional |
Filter for webhooks that are assigned to this Call Flow.
|
|
schedule_action_id Optional |
Assign the record to this Schedule Action.
|
|
trigger_type Optional |
When does this trigger fire?
|
|
trigger_duration Optional Blank value allowed |
How many seconds must pass for the trigger to fire?
|
|
trigger_call_status Optional Blank value allowed |
Restrict which call statuses fire the webhook. Leave blank to fire regardless of status.
|
|
connected_duration_seconds Optional Blank value allowed |
Wait to fire the webhook until the buyer has been connected with the caller for this many seconds. If the call ends before that much time has passed, the webhook does not fire. Leave blank to fire as soon as the buyer connects.
|
|
cache_success_for_seconds Optional Blank value allowed |
How long, in seconds, to cache a successful response from the webhook before checking it again.
|
|
tier Optional Blank value allowed |
The order global webhooks fire in, from lowest to highest; webhooks assigned to a Buyer, Offer, etc are always tier 0. Set this below 0 to fire before other webhooks in your account. Only applies when
|
|
buyer_answered_with_contact_field_ids Optional Blank value allowed |
Fire only after the buyer has answered and all of these Contact Fields have values.
|
|
token_value_map_group_ids Optional Blank value allowed |
Map lead data to custom values by assigning these Token Value Map Groups to the webhook.
|
|
record_token_filter_list Optional Blank value allowed |
Assign filters to the object by passing an array of key:value pairs
|
|
record_token_additional_list Optional Blank value allowed |
Assign additional tokens that will be applied to leads and calls by passing a comma separated string of key:value pairs.
|
|
sortable_order Optional Blank value allowed |
The order in which records will be sorted. Values are sorted in ascending order; smaller values are listed first.
|
|
name Required |
The human friendly name of this webhook.
|
|
text_message_flow_id Optional Blank value allowed |
Assign the webhook to this SMS Flow to have it fire on that flow’s messages.
|
|
call_router_answer_id Optional Blank value allowed |
Assign the webhook to this Call Flow Answer to have it fire when that answer is used.
|